diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 7f01fcc148..73c9cec8ff 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -256,8 +256,8 @@ PGconn *PQsetdb(char *pghost,
 
     <varlistentry id="libpq-pqconnectstartparams">
      <term><function>PQconnectStartParams</function><indexterm><primary>PQconnectStartParams</primary></indexterm></term>
-     <term><function>PQconnectStart</function><indexterm><primary>PQconnectStart</primary></indexterm></term>
-     <term><function>PQconnectPoll</function><indexterm><primary>PQconnectPoll</primary></indexterm></term>
+     <term><function id="libpq-pqconnectstart" xreflabel="PQconnectStart">PQconnectStart</function><indexterm><primary>PQconnectStart</primary></indexterm></term>
+     <term><function id="libpq-pqconnectpoll" xreflabel="PQconnectPoll">PQconnectPoll</function><indexterm><primary>PQconnectPoll</primary></indexterm></term>
      <listitem>
       <para>
        <indexterm><primary>nonblocking connection</primary></indexterm>
@@ -652,7 +652,7 @@ void PQreset(PGconn *conn);
 
     <varlistentry id="libpq-pqresetstart">
      <term><function>PQresetStart</function><indexterm><primary>PQresetStart</primary></indexterm></term>
-     <term><function>PQresetPoll</function><indexterm><primary>PQresetPoll</primary></indexterm></term>
+     <term><function id="libpq-pqresetpoll" xreflabel="PQresetPoll">PQresetPoll</function><indexterm><primary>PQresetPoll</primary></indexterm></term>
      <listitem>
       <para>
        Reset the communication channel to the server, in a nonblocking manner.
@@ -5249,7 +5249,7 @@ int PQrequestCancel(PGconn *conn);
    </para>
   </tip>
 
-  <para>
+  <para id="libpq-pqfn" xreflabel="PQfn">
    The function <function>PQfn</function><indexterm><primary>PQfn</primary></indexterm>
    requests execution of a server function via the fast-path interface:
 <synopsis>
@@ -5340,7 +5340,7 @@ typedef struct
    be passed to communicate additional data to the listeners.
   </para>
 
-  <para>
+  <para id="libpq-pqnotifies" xreflabel="PQnotifies">
    <application>libpq</application> applications submit
    <command>LISTEN</command>, <command>UNLISTEN</command>,
    and <command>NOTIFY</command> commands as
@@ -6621,11 +6621,11 @@ int PQlibVersion(void);
   </para>
 
   <para>
-   The function <function>PQsetNoticeReceiver</function>
+   The function <function id="libpq-pqsetnoticereceiver" xreflabel="PQsetNoticeReceiver">PQsetNoticeReceiver</function>
    <indexterm><primary>notice receiver</primary></indexterm>
    <indexterm><primary>PQsetNoticeReceiver</primary></indexterm> sets or
    examines the current notice receiver for a connection object.
-   Similarly, <function>PQsetNoticeProcessor</function>
+   Similarly, <function id="libpq-pqsetnoticeprocessor" xreflabel="PQsetNoticeProcessor">PQsetNoticeProcessor</function>
    <indexterm><primary>notice processor</primary></indexterm>
    <indexterm><primary>PQsetNoticeProcessor</primary></indexterm> sets or
    examines the current notice processor.
